## org.eclipse.jst.jsf.context.symbol
Interface IBoundedMapTypeDescriptor

All Superinterfaces:
  IBoundedTypeDescriptor, IMapTypeDescriptor, ITypeDescriptor

    public interface IBoundedMapTypeDescriptor

extends IMapTypeDescriptor, IBoundedTypeDescriptor

Describes a IMapTypeDescriptor for which the possible keyed values are unbounded for some set of possible value types. For example, a managed bean that implements Map, is unconstrained for all values in Java 1.4 and for whatever the template value type is in Java5.

Provisional API - subject to change

See Also:
  `SymbolPackage.getIBoundedMapTypeDescriptor()`

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IMapTypeDescriptor
`getMapSource, isImmutable, setImmutable, setMapSource`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IBoundedTypeDescriptor
`getUnboundedProperty, isUnboundedForType`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, resolveType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values